import React from 'react';

export const renderTemplate = (data) => {
    const components = data.components || data.template.components;
    if (components) {
        return components.map((component, componentIndex) => {
            if (component.type && data.atoms[component.type]) {
                const Component = data.atoms[component.type];
                if (!component.components || (component.components && component.components.length == 0)) {
                    return <Component { ...setupProps(component.props)} />;
                } else {
                    return (
                        <Component { ...setupProps(component.props)}>
                            {renderTemplate({template: component, atoms: data.atoms})}
                        </Component>
                    );
                }
            }
        })
    }
}

export const setupProps = ( props ) => {
    return props;
}